Running a "Delete all Layer Filters" lisp routine

Discussion in 'AutoCAD' started by tigerlily, Jul 26, 2004.

  1. tigerlily

    tigerlily Guest

    Ok, HELP!! I've been reading many, many threads on this topic, but am still confused. Here's the .lsp routine I found in one of the threads:

    (defun C:LayerFiltersDelete ()
    (vl-Load-Com)
    (vl-Catch-All-Apply '(lambda ()
    (vla-Remove
    (vla-GetExtensionDictionary
    (vla-Get-Layers
    (vla-Get-ActiveDocument
    (vlax-Get-Acad-Object)))) "ACAD_LAYERFILTERS")))
    (princ "\nAll layer filters have been deleted.")
    (princ)
    )

    I put it in the correct folder with the rest of my lisp routines, and went into appload and loaded it. Now what? How do I get it to run?

    I'm running AutoCAD 2000, and have very, very basic knowledge of lisp routines. Someone please help me!

    Thanks in advance!
     
    tigerlily, Jul 26, 2004
    #1
  2. tigerlily

    ECCAD Guest

    At the Command: prompt, type-in:
    LayerFiltersDelete<enter>
    Another way is to add:
    (C:LayerFiltersDelete)
    to the end of the file - like:
    (princ)
    )
    (C:LayerFiltersDelete)


    Bob
     
    ECCAD, Jul 26, 2004
    #2
  3. tigerlily

    tigerlily Guest

    Thank you!!
     
    tigerlily, Jul 26, 2004
    #3
  4. tigerlily

    Rob Davis Guest

    You have to type the command layerfiltersdelete or make it into
    something shorter to type. i.e. defun c:LFD
     
    Rob Davis, Jul 26, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.